
Foreman - Bug #28797

Quantity Shown in Entitlement Report Template is incorrect

01/18/2020 05:33 AM - Nagoor Shaik

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/684,

https://github.com/theforeman/communit

y-templates/pull/682

  

Description

As per the current implementation of entitlement report Quantity shown here 

https://github.com/theforeman/community-templates/blob/7c2ee7a486a534ca54e4f37173778f5134ff3cc5/report_templates/entitleme

nts.erb#L28 is the total quantity of that specific subscription from the Pool.

It is required to show the quantity consumed not the over-all quantity of the Subscription pool.

Associated revisions

Revision cdfa9568 - 03/11/2020 02:59 PM - Ondřej Pražák

Fixes #28797 - Add consumed into entitlements report

History

#1 - 01/27/2020 03:11 PM - Ondřej Pražák

- Project changed from Templates to Foreman

- Category set to Templates

- Assignee set to Ondřej Pražák

#2 - 01/27/2020 04:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/684 added

#3 - 03/11/2020 09:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/682 added

#4 - 03/11/2020 02:59 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/11/2020 03:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|cdfa95681e0aaecae16dd72ff8e4c4c8753ec179.
